//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

#pragma interrupt_handler Counter_INT;

unsigned char port = 1;

void Counter_INT(void)
{
	port+=1;
	if (port == 8) port = 0;
	PRT0DR = ~(1<<port);
	PRT1DR = ~(128>>port);	
	PRT2DR = ~(1<<port);
	PRT3DR = ~(128>>port);
	PRT4DR = ~(1<<port);
	PRT5DR = ~(128>>port);	
}

void main()
{
	M8C_EnableGInt;
	Counter16_1_Start();
	Counter16_1_EnableInt();
	PRT2DR = 0xFF;
	
	while (1);
}
