	cpu LMM
	.module main.c
	.area data(ram, con, rel)
_port::
	.byte 1
	.dbfile ./main.c
	.dbsym e port _port c
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area text(rom, con, rel)
	.dbfile ./main.c
	.dbfunc e Counter_INT _Counter_INT fV
_Counter_INT::
	.dbline -1
	or F,-64
	push A
	mov A,REG[0xd0]
	push A
	mov REG[0xd0],>__r0
	mov A,[__r0]
	push A
	mov A,[__r2]
	push A
	mov A,[__r3]
	push A
	.dbline 13
; //----------------------------------------------------------------------------
; // C main line
; //----------------------------------------------------------------------------
; 
; #include <m8c.h>        // part specific constants and macros
; #include "PSoCAPI.h"    // PSoC API definitions for all User Modules
; 
; #pragma interrupt_handler Counter_INT;
; 
; unsigned char port = 1;
; 
; void Counter_INT(void)
; {
	.dbline 14
; 	port+=1;
	mov REG[0xd0],>_port
	inc [_port]
	.dbline 15
; 	if (port == 8) port = 0;
	cmp [_port],8
	jnz L2
	.dbline 15
	mov [_port],0
L2:
	.dbline 16
; 	PRT0DR = ~(1<<port);
	mov REG[0xd0],>__r0
	mov [__r0],1
	mov REG[0xd0],>_port
	mov A,[_port]
	jz X0
X1:
	mov REG[0xd0],>__r0
	asl [__r0]
	dec A
	jnz X1
X0:
	mov REG[0xd0],>__r0
	mov A,[__r0]
	cpl A
	mov REG[ 0],A
	.dbline 17
; 	PRT1DR = ~(128>>port);	
	mov REG[0xd0],>_port
	mov A,[_port]
	mov REG[0xd0],>__r0
	mov [__r3],-128
	mov [__r2],0
	and A,15
	jz X2
X3:
	mov REG[0xd0],>__r0
	asr [__r2]
	rrc [__r3]
	dec A
	jnz X3
X2:
	mov REG[0xd0],>__r0
	mov A,[__r3]
	cpl A
	mov REG[0x4],A
	.dbline 18
; 	PRT2DR = ~(1<<port);
	mov [__r0],1
	mov REG[0xd0],>_port
	mov A,[_port]
	jz X4
X5:
	mov REG[0xd0],>__r0
	asl [__r0]
	dec A
	jnz X5
X4:
	mov REG[0xd0],>__r0
	mov A,[__r0]
	cpl A
	mov REG[0x8],A
	.dbline 19
; 	PRT3DR = ~(128>>port);
	mov REG[0xd0],>_port
	mov A,[_port]
	mov REG[0xd0],>__r0
	mov [__r3],-128
	mov [__r2],0
	and A,15
	jz X6
X7:
	mov REG[0xd0],>__r0
	asr [__r2]
	rrc [__r3]
	dec A
	jnz X7
X6:
	mov REG[0xd0],>__r0
	mov A,[__r3]
	cpl A
	mov REG[0xc],A
	.dbline 20
; 	PRT4DR = ~(1<<port);
	mov [__r0],1
	mov REG[0xd0],>_port
	mov A,[_port]
	jz X8
X9:
	mov REG[0xd0],>__r0
	asl [__r0]
	dec A
	jnz X9
X8:
	mov REG[0xd0],>__r0
	mov A,[__r0]
	cpl A
	mov REG[0x10],A
	.dbline 21
; 	PRT5DR = ~(128>>port);	
	mov REG[0xd0],>_port
	mov A,[_port]
	mov REG[0xd0],>__r0
	mov [__r3],-128
	mov [__r2],0
	and A,15
	jz X10
X11:
	mov REG[0xd0],>__r0
	asr [__r2]
	rrc [__r3]
	dec A
	jnz X11
X10:
	mov REG[0xd0],>__r0
	mov A,[__r3]
	cpl A
	mov REG[0x14],A
	.dbline -2
	.dbline 22
; }
L1:
	mov REG[0xD0],>__r0
	pop A
	mov [__r3],A
	pop A
	mov [__r2],A
	pop A
	mov [__r0],A
	pop A
	mov REG[208],A
	pop A
	.dbline 0 ; func end
	reti
	.dbend
	.dbfunc e main _main fV
_main::
	.dbline -1
	.dbline 25
; 
; void main()
; {
	.dbline 26
; 	M8C_EnableGInt;
		or  F, 01h

	.dbline 27
; 	Counter16_1_Start();
	push X
	xcall _Counter16_1_Start
	.dbline 28
; 	Counter16_1_EnableInt();
	xcall _Counter16_1_EnableInt
	pop X
	.dbline 29
; 	PRT2DR = 0xFF;
	mov REG[0x8],-1
L5:
	.dbline 31
L6:
	.dbline 31
	xjmp L5
X12:
	.dbline -2
	.dbline 32
; 	
; 	while (1);
; }
L4:
	.dbline 0 ; func end
	jmp .
	.dbend
